package com.sonic.lion.service;

import com.sonic.lion.domain.req.GoogleUploadReceiptReqV2;

import javax.servlet.http.HttpServletRequest;

public interface WebhookHandlerService {

    void googleHandler(GoogleUploadReceiptReqV2 req);

    void appleHandler(HttpServletRequest request) throws Exception;

    void stripePaymentHandler(String signature, String payload) throws Exception;

    void stripePayoutHandler(String signature, String payload) throws Exception;

    void stripeSubscriptionHandler(String signature, String payload) throws Exception;

    void stripeDisputeHandler(String signature, String payload) throws Exception;
}
